export class Question {
    private _cours: string;
    private _categorie: string;
    private _nom: string;
    private _enonce: string;
    private _reponse: boolean;
    private _retroactionPositive: string;
    private _retroactionNegative: string;
    private _enseignant: string;

    constructor(cours: string, categorie: string, nom: string, enonce: string, reponse: boolean,
                retroactionPositive: string, retroactionNegative: string, enseignant: string) {
        this._cours = cours;
        this._categorie = categorie;
        this._nom = nom;
        this._enonce = enonce;
        this._reponse = reponse;
        this._retroactionPositive = retroactionPositive;
        this._retroactionNegative = retroactionNegative;
        this._enseignant = enseignant;
    }

    public getCours() {
        return this._cours;
    }

    public getCategorie() {
        return this._categorie;
    }

    public getNom() {
        return this._nom;
    }

    public getEnonce() {
        return this._enonce;
    }

    public getReponse() {
        return this._reponse;
    }

    public getRetroactionPositive() {
        return this._retroactionPositive;
    }

    public getRetroactionNegative() {
        return this._retroactionNegative;
    }

    public getEnseignant() {
        return this._enseignant;
    }

    public toJSON() {
        return {
            cours: this._cours,
            categorie: this._categorie,
            nom: this._nom,
            enonce: this._enonce,
            reponse: this._reponse,
            retroactionPositive: this._retroactionPositive,
            retroactionNegative: this._retroactionNegative,
        };
    }
}